
#define NBR_MESSAGESBOX 8
#define NBR_RESSOURCES 256
#define NBR_TRACES 81

#define LGT_LIBELLE_RESS 40
#define LGT_ETAT_RESS 30

#define MONITOR_IN 1
#define MONITOR_OUT 2

#define RFH_IDENTITE 1
#define RFH_DATE 2
#define RFH_TIME 3
#define RFH_LIBELLE_RESS 4
#define RFH_ETAT_RESS 5 
#define RFH_JOURNAL 6
#define RFH_PARAM_TRACE 7
#define RFH_TRACE 8
#define RFH_MESSAGEBOX 9

struct InfosTeletrans
{
 char SiteName[33];
 char Type[20];
 char Version[5];
 char TRSII_Extended_Clip;
 int NumRessourcesMax;
 int NumTracesMax;
 char LocalDate[12];
 char LocalTime[12];
 char NumTel[32];
 char Password[16];
};
struct Ressources
{
 char Libelle[LGT_LIBELLE_RESS];
 char Etat[LGT_ETAT_RESS];
};
struct Evenements
{
 char Index[10];
 char Date[20];
 char NumRess[4];
 char LibelleRess[40];
 char EtatRess[20];
 char Classe[2];
 char Zone[2];
 char Code[2];
};
struct Traces
{
 char NumMenu[6];
 char Libelle[LGT_LIBELLE_RESS];
 char Used;
 int Delay;
};
struct AffiTraceNum
{
 char Date[15];
 char Heure[12];
 char Valeur[20];
};

struct Str_AffiGraphGene
{
 time_t Time32Deb;
 time_t Time32Fin;
};

struct Str_AffiTraceGraph
{
 time_t * Horodates;
 double * Valeurs;
 long NbrSamples;
 char Unite[10];
 double EchelleMin;
 double EchelleMax;
 double CoeffAX;
 double CoeffBX;
 double CoeffAY;
 double CoeffBY;
 double YMin;
 double YMax;
};


